"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.check_type = void 0;
function check_type(obj, check_proto) {
    for (const it in check_proto) {
        let defined = check_proto[it];
        if (defined === undefined)
            return false;
        defined = defined.trim();
        if (defined.endsWith("[]")) {
            if (!(obj[it] instanceof Array)) {
                return false;
            }
        }
        else if (defined !== typeof obj[it]) {
            return false;
        }
    }
    return true;
}
exports.check_type = check_type;
;
